From e0a0a6f42e3d26d6e63dd721fde34808fec2b8b8 Mon Sep 17 00:00:00 2001
From: Daniel Pocock <daniel@pocock.pro>
Date: Sat, 3 Oct 2015 12:14:20 +0200
Subject: [PATCH] ch11: Add basic details about RTC services

---
 en-US/11_network-services.xml | 38 +++++++++++++++++++++++++++++++++++++-
 1 file changed, 37 insertions(+), 1 deletion(-)

diff --git a/en-US/11_network-services.xml b/en-US/11_network-services.xml
index 029e42e..cedc2ce 100644
--- a/en-US/11_network-services.xml
+++ b/en-US/11_network-services.xml
@@ -13,9 +13,15 @@
       <keyword>Samba</keyword>
       <keyword>Squid</keyword>
       <keyword>OpenLDAP</keyword>
+      <keyword>SIP</keyword>
+      <keyword>XMPP</keyword>
+      <keyword>repro</keyword>
+      <keyword>reSIProcate</keyword>
+      <keyword>Asterisk</keyword>
+      <keyword>Prosody</keyword>
     </keywordset>
   </chapterinfo>
-  <title>Network Services: Postfix, Apache, NFS, Samba, Squid, LDAP</title>
+  <title>Network Services: Postfix, Apache, NFS, Samba, Squid, LDAP, SIP, XMPP</title>
   <highlights>
     <para>Network services are the programs that users interact with
     directly in their daily work. They are the tip of the information system
@@ -3220,4 +3226,34 @@ TLS_CACERT      /etc/ssl/certs/ca-certificates.crt
       </section>
     </section>
   </section>
+  <section id="sect.rtc-services">
+    <title>Real-Time Communications Services (SIP, XMPP and TURN)</title>
+
+    <para>The Falcot Corp administrators want to make it possible for users
+    to use voice, video/webcam and instant messaging (IM) for internal communications
+    and interaction with third parties.  They chose to start with a simple
+    SIP proxy, XMPP server and TURN server at the network boundary.</para>
+    <indexterm><primary>sip</primary><secondary>server</secondary></indexterm>
+    <indexterm><primary>xmpp</primary><secondary>server</secondary></indexterm>
+    <indexterm><primary>turn</primary><secondary>server</secondary></indexterm>
+
+    <para>To maximize compatibility and connectivity, they chose to use the
+    latest versions of the packages from the jessie-backports distribution.</para>
+
+    <para>The Falcot Corp administrators decided that they would use a
+    SIP proxy and not a full PBX like Asterisk at the network boundary
+    because they wanted to maximize connectivity and stability while also
+    having a relatively simple configuration.  They chose the repro SIP proxy
+    from the reSIProcate project because it has been built from the ground up
+    to support IPv6 and TLS and it also has support for WebRTC.  In the future,
+    they intend to setup an internal PBX using Asterisk, however, all calls going
+    to the Asterisk server will be routed through the SIP proxy.</para>
+
+    <para>Comprehensive details of how to plan and install these services
+    are available in the Real-Time Communications Quick Start Guide
+    which includes examples specific to Debian.
+    <ulink type="block" url="http://rtcquickstart.org"/></para>
+
+  </section>
+
 </chapter>
-- 
2.1.4

